"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const recompose_1 = require("recompose");
const renderWhen = (branches) => recompose_1.compose(...branches.map(({ when, render }) => {
    const component = render === 'NOTHING' ? recompose_1.renderNothing : recompose_1.renderComponent(render);
    return recompose_1.branch(when, component);
}));
exports.renderWhen = renderWhen;
